/**
 * @author: clay
 * @data: 2021/5/10
 * @description: register nodes
 */

import ccRect from './top-rect'
import ccImage from './top-image'

const obj = {
  ccRect,
  ccImage
}

export default {
  obj,
  register(G6) {
    Object.values(obj).map(item => {
      G6.registerNode(item.name, item.options, item.extendName)
    })
  }
}
